// matrix final shaders

textures/nath_mat_up/flat_trim
{
    {
        map $lightmap
    }
    {
        map textures/nath_mat_up/flat_trim
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_mat_up/flat_trim_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 1 0.125 0.5
    }
}

textures/nath_mat_up/pow_swoopwash_main
{
      q3map_alphashadow  
      cull 		twosided


   {
      map textures/nath_mat_up/pow_swoopwash_main
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/nath_mat_up/ice_new1_fan1
{
      q3map_alphashadow  
      cull 		twosided


   {
      map textures/nath_mat_up/ice_new1_fan1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/nath_mat_up/matrixv4
{
	qer_editorimage	textures/nath_mat_up/matrixv4_dn
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks

	q3map_nolightmap
	skyParms	textures/nath_mat_up/matrixv4  512 -
}

textures/nath_mat_up/duelarena_1
{
	q3map_nolightmap
	cull	twosided
    {
        map textures/nath_mat_up/duelarena_1
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/nath_mat_up/duelarena_2
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.075 0
    }
    {
        map textures/nath_mat_up/duelarena_3
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.05 0
    }
}

textures/nath_mat_up/kick_wall_sky
{
	q3map_nolightmap
    {
        map textures/nath_mat_up/kick_wall_sky
        blendFunc GL_ONE GL_ZERO
        tcMod scroll 0.9 0
    }
}

textures/nath_mat_up/kick_ground
{
	q3map_nolightmap
    {
        map textures/nath_mat_up/kick_ground
        blendFunc GL_ONE GL_ZERO
        tcMod scroll 0.9 0
    }
}

textures/nath_mat_up/blah_scroll
{
	q3map_alphashadow
	cull	twosided
    {
        map textures/nath_mat_up/blah_scroll
        blendFunc GL_ONE GL_ONE
        alphaFunc GE128
        tcMod scroll 0.9 0
    }
    {
        map textures/nath_mat_up/blah_scroll
        blendFunc GL_ONE GL_ONE
        alphaFunc GE128
        tcMod scroll 0.05 1
    }
}

textures/nath_mat_up/nath_code_new
{
    {
        map $lightmap
    }
    {
        map textures/nath_mat_up/nath_code_new
        blendFunc GL_ONE GL_ONE
        glow
        tcMod scroll 0.2 0
    }
}

textures/nath_mat_up/nathnite
{
	qer_editorimage	textures/nath_mat_up/nathnite_bk
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks

	q3map_nolightmap
	skyParms	textures/nath_mat_up/nathnite  512 -
}
