// matrix version 3 shaders by nathan

// main arena shader

textures/nath_matrixv3/fence
{
      q3map_alphashadow  
      cull 		twosided


   {
      map textures/nath_matrixv3/fence
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/nath_matrixv3/arena_carpark_logo
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_carpark_logo
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_carpark_logo_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_flats
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_flats
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_flats_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_roofs
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_roofs
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_roofs_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_tree
{
      q3map_alphashadow  
      cull 		twosided


   {
      map textures/nath_matrixv3/arena_tree
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/nath_matrixv3/arena_wall_middle_window_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_wall_middle_window_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_wall_middle_window_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_wall_outta_window_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_wall_outta_window_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_wall_outta_window_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/szico_window_arena1_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/szico_window_arena1_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/szico_window_arena1_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_window_new1_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_window_new1_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_window_new1_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_wall_middle_door_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_wall_middle_door_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_wall_middle_door_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/szico_window_arena1_2_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/szico_window_arena1_2_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/szico_window_arena1_2_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_jump_proggy
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_jump_proggy
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_jump_proggy_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_door_window_combo1_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_door_window_combo1_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_door_window_combo1_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_phonebox
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_phonebox
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_phonebox_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/arena_ground
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/arena_ground
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/arena_ground_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// corridoor shader

textures/nath_matrixv3/cor_floor1
{
	qer_editorimage	textures/nath_matrixv3/cor_floor1
	q3map_nolightmap
    {
        map textures/nath_matrixv3/cor_floor1
        rgbGen vertex
    }
    {
        map textures/byss/env_large_floor2
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        alphaGen const 0.25
        tcGen environment
    }
}

textures/nath_matrixv3/cor_door_pulse
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/cor_door_pulse
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/cor_door_pulse_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 1 0.125 0.5
    }
}

// teahouse shader

textures/nath_matrixv3/nath_code
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/nath_code
        blendFunc GL_DST_ALPHA GL_ONE
        glow
        tcMod scroll 0.2 0
    }
}

// architect shader

textures/nath_matrixv3/arc_floor1
{
	qer_editorimage	textures/nath_matrixv3/arc_floor1
	q3map_nolightmap
    {
        map textures/nath_matrixv3/arc_floor1
        rgbGen vertex
    }
    {
        map textures/common/env_chrome
        blendFunc GL_DST_ALPHA GL_ONE
        rgbGen identity
        alphaGen const 0.25
        tcGen environment
    }
}

// power station shader

textures/nath_matrixv3/pow_window_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/pow_window_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/pow_window_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/pow_wall_status
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/pow_wall_status
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/pow_wall_status_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/pow_arrow
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/pow_arrow
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/pow_arrow_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/pow_noentry
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/pow_noentry
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/pow_noentry_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/pow_new_window1_night
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/pow_new_window1_night
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/pow_new_window1_night_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// training programme shaders

textures/nath_matrixv3/training_logo
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/training_logo
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/training_logo
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// extras

textures/nath_matrixv3/nath_white
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/nath_white
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/nath_white_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// sash room shaders

textures/nath_matrixv3/sashroom_beer
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/sashroom_beer
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/sashroom_beer
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/nath_matrixv3/sashroom_sash
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/sashroom_sash
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/sashroom_sash_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 1 0.125 0.5
    }
}

textures/nath_matrixv3/sashroom_floor2
{
    {
        map $lightmap
    }
    {
        map textures/nath_matrixv3/sashroom_floor2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/nath_matrixv3/sashroom_floor2_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}
